Description
Front Office/Portal/3rd Party API Integration
History
#1 - 02/20/2024 12:02 PM - Junaid M
- Assignee set to Junaid M
#2 - 02/24/2024 04:44 PM - Junaid M
- Status changed from New to Coding Started
- % Done changed from 0 to 40
#3 - 03/08/2024 07:13 PM - Junaid M
API Documentation Shared To Abijith on 07/03/2024
#4 - 06/13/2024 06:02 PM - Junaid M
API Integration Changes (13/06/2024)
1. Create New Api For Direct Void (ticket only).
* Validation:
- Reject and Return Validation Response If Issued/sold record exist
* Input
— No fare
2. Do these changes in Refund Void API (Existing API)
* Validation
- If Issue/Sold record does not exist in TAAS. validate and return response ("Ticket doesnt have any issue
record in TAAS, Use Direct Void instead")
* Input

— Add strAction Field (Values: ADD, EDIT, DELETE)

Add New Section in Admin Settings
1. Booking System Integration
—> Refund Void Case (Ticket Only) [Selectbox]
option 1 -> Sale&Refund Seperate (*Default)
option 2 -> Move to direct void (All fare components in Issue & Cancel record should be same) *in this o
ption do validation, issue date == cancel date, issue sup, customer amount == cancel sup, customer amount
option 3 -> Auto/Both (If same value in issue, cancel (input) fare component then apply direct void, othe
rwise keep seperate (sale&refund))

=> Add in Bsp Reco redmine:
Add 2 Section in void Tab

1. Refund Void Issue & Cancel Different Amount
2. Issue&Cancel Date Difference (Compare issue date and refund void date)

#5 - 03/21/2025 09:16 AM - Junaid M
New Work

Add VAT/Billing tax calculation functionality

#6 - 03/21/2025 09:17 AM - Junaid M

- Assignee changed from Junaid M to Baseem Shan

#7 - 05/02/2025 02:58 PM - Anonymous
Pending Works

® Implement Billing Tax.
e Solution for how to calculate:

1. Deal/Tour Cut & Pay Commission and Expected Commission

2.PLB Cut & Pay Commission and Expected Commission
Prob: Cut & Pay Commission and Expected Commission of both of these fields only have a single common percentage field.
